path: /build/build/packaging-dev-python-24.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/packaging -pv -t
  - |
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/packaging
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/packaging && luet-portage --dir
    /pkgdir/packaging dev-python/packaging
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:b9198e98f958055665a88ee9991420016d24a18cb1f4b9057680db3c78630947
  package:
    name: packaging
    version: 24.2+1
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: calver
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Core utilities for Python packages
    uri:
    - https://pypi.org/project/packaging/
    license: Apache-2.0 BSD
    buildtimestamp: 2025-08-01 22:38:33.637939142 +0000 UTC m=+119.917448967
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/flit_core-3.7.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/packaging
      kit: python-modules-kit
      original.package.name: dev-python/packaging
      original.package.slot: "0"
      original.package.version: 24.2-r1
    treedir: /build/packages
  package_dir: /pkgdir/packaging
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: dfb010c682404dff140a8693e4b5c1e8662e73e4ca10251233e7bd2b79198845
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/packaging/__init__.py
- usr/lib/python3.9/site-packages/packaging/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_elffile.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_elffile.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_elffile.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_manylinux.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_manylinux.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_manylinux.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_musllinux.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_musllinux.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_musllinux.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_parser.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_parser.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_parser.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_structures.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_structures.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_structures.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_tokenizer.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_tokenizer.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/_tokenizer.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/markers.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/markers.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/markers.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/metadata.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/metadata.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/metadata.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/requirements.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/requirements.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/requirements.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/specifiers.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/specifiers.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/specifiers.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/tags.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/tags.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/tags.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/utils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/utils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/utils.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/__pycache__/version.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/_elffile.py
- usr/lib/python3.9/site-packages/packaging/_manylinux.py
- usr/lib/python3.9/site-packages/packaging/_musllinux.py
- usr/lib/python3.9/site-packages/packaging/_parser.py
- usr/lib/python3.9/site-packages/packaging/_structures.py
- usr/lib/python3.9/site-packages/packaging/_tokenizer.py
- usr/lib/python3.9/site-packages/packaging/licenses/__init__.py
- usr/lib/python3.9/site-packages/packaging/licenses/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/licenses/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/licenses/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/licenses/__pycache__/_spdx.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/packaging/licenses/__pycache__/_spdx.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/packaging/licenses/__pycache__/_spdx.cpython-39.pyc
- usr/lib/python3.9/site-packages/packaging/licenses/_spdx.py
- usr/lib/python3.9/site-packages/packaging/markers.py
- usr/lib/python3.9/site-packages/packaging/metadata.py
- usr/lib/python3.9/site-packages/packaging/py.typed
- usr/lib/python3.9/site-packages/packaging/requirements.py
- usr/lib/python3.9/site-packages/packaging/specifiers.py
- usr/lib/python3.9/site-packages/packaging/tags.py
- usr/lib/python3.9/site-packages/packaging/utils.py
- usr/lib/python3.9/site-packages/packaging/version.py
- usr/lib/python3.9/site-packages/packaging-24.2.dist-info/METADATA
- usr/lib/python3.9/site-packages/packaging-24.2.dist-info/RECORD
- usr/lib/python3.9/site-packages/packaging-24.2.dist-info/WHEEL
- usr/lib/python3.9/site-packages/packaging-24.2.dist-info/licenses/LICENSE
- usr/lib/python3.9/site-packages/packaging-24.2.dist-info/licenses/LICENSE.APACHE
- usr/lib/python3.9/site-packages/packaging-24.2.dist-info/licenses/LICENSE.BSD
- usr/share/doc/packaging-24.2-r1/README.rst.bz2
- var/db/pkg/dev-python/packaging-24.2-r1/BDEPEND
- var/db/pkg/dev-python/packaging-24.2-r1/BUILD_TIME
- var/db/pkg/dev-python/packaging-24.2-r1/CATEGORY
- var/db/pkg/dev-python/packaging-24.2-r1/CBUILD
- var/db/pkg/dev-python/packaging-24.2-r1/CFLAGS
- var/db/pkg/dev-python/packaging-24.2-r1/CHOST
- var/db/pkg/dev-python/packaging-24.2-r1/CONTENTS
- var/db/pkg/dev-python/packaging-24.2-r1/COUNTER
- var/db/pkg/dev-python/packaging-24.2-r1/CTARGET
- var/db/pkg/dev-python/packaging-24.2-r1/CXX
- var/db/pkg/dev-python/packaging-24.2-r1/CXXFLAGS
- var/db/pkg/dev-python/packaging-24.2-r1/DEFINED_PHASES
- var/db/pkg/dev-python/packaging-24.2-r1/DESCRIPTION
- var/db/pkg/dev-python/packaging-24.2-r1/EAPI
- var/db/pkg/dev-python/packaging-24.2-r1/FEATURES
- var/db/pkg/dev-python/packaging-24.2-r1/HOMEPAGE
- var/db/pkg/dev-python/packaging-24.2-r1/INHERITED
- var/db/pkg/dev-python/packaging-24.2-r1/IUSE
- var/db/pkg/dev-python/packaging-24.2-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/packaging-24.2-r1/KEYWORDS
- var/db/pkg/dev-python/packaging-24.2-r1/LDFLAGS
- var/db/pkg/dev-python/packaging-24.2-r1/LICENSE
- var/db/pkg/dev-python/packaging-24.2-r1/PF
- var/db/pkg/dev-python/packaging-24.2-r1/RDEPEND
- var/db/pkg/dev-python/packaging-24.2-r1/SIZE
- var/db/pkg/dev-python/packaging-24.2-r1/SLOT
- var/db/pkg/dev-python/packaging-24.2-r1/USE
- var/db/pkg/dev-python/packaging-24.2-r1/environment.bz2
- var/db/pkg/dev-python/packaging-24.2-r1/packaging-24.2-r1.ebuild
- var/db/pkg/dev-python/packaging-24.2-r1/repository
package_cacheimage: ""
runtime:
  name: packaging
  version: 24.2+1
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: pyparsing
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Core utilities for Python packages
  uri:
  - https://pypi.org/project/packaging/
  license: Apache-2.0 BSD
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/flit_core-3.7.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/packaging
    kit: python-modules-kit
    original.package.name: dev-python/packaging
    original.package.slot: "0"
    original.package.version: 24.2-r1
